/*
 * Copyright (c) 2010 by Intevation GmbH
 *
 * This program is free software under the LGPL (>=v2.1)
 * Read the file LGPL.txt coming with the software for details
 * or visit http://www.gnu.org/licenses/ if it does not exist.
 */

package de.intevation.gnv.artifacts.services.requestobjects;

/**
 * This is the interface description of <code>Parameter</code>. Currently, there
 * are two methods defined:<br>
 * <ol>
 *  <li>getName(): Returns the name of this parameter.</li>
 *  <li>getID(): Returns the id of this parameter.</li>
 * </ol>
 *
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 */
public interface Parameter {

    /**
     * The Name of this Parameter
     * @return the name of this parameter.
     */
    String getName();
    /**
     * The ID of this Parameter
     * @return the id of this parameter.
     */
    String getID();

}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
