/*
 * Copyright (c) 2010 by Intevation GmbH
 *
 * This program is free software under the LGPL (>=v2.1)
 * Read the file LGPL.txt coming with the software for details
 * or visit http://www.gnu.org/licenses/ if it does not exist.
 */

package de.intevation.gnv.transition;

import de.intevation.artifactdatabase.Config;

import org.w3c.dom.Node;

/**
 * An abstract implementation of <code>Transition</code>.
 *
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public abstract class TransitionBase implements Transition {

    /**
     * The UID of this Class.
     */
    private static final long serialVersionUID = -8542097519466477977L;

    private String from = null;

    private String to = null;
    /**
     * Constructor
     */
    public TransitionBase() {
    }


    public String getFrom() {
        return this.from;
    }


    public String getTo() {
        return this.to;
    }


    public void setup(Node configuration) {
      this.from = Config.getStringXPath(configuration,"from/@state");
      this.to = Config.getStringXPath(configuration,"to/@state");
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
